﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=Class
Version=9.85
@EndOfDesignText@
#Region Shared Files
#CustomBuildAction: folders ready, %WINDIR%\System32\Robocopy.exe,"..\..\Shared Files" "..\Files"
'Ctrl + click to sync files: ide://run?file=%WINDIR%\System32\Robocopy.exe&args=..\..\Shared+Files&args=..\Files&FilesSync=True
#End Region

'Ctrl + click to export as zip: ide://run?File=%B4X%\Zipper.jar&Args=Project.zip

Sub Class_Globals
	Private Root As B4XView
	Private xui As XUI

End Sub

Public Sub Initialize
	B4XPages.GetManager.LogEvents = True
End Sub

'This event will be called once, before the page becomes visible.
Private Sub B4XPage_Created (Root1 As B4XView)
	Root = Root1
	Root.LoadLayout("MainPage")
	
	StartReceiver(HttpUtils2Service)
	
End Sub

'You can see the list of page related events in the B4XPagesManager object. The event name is B4XPage.

Private Sub Button1_Click	
	BuscarCodigo("5901234123457")
End Sub

Sub BuscarCodigo( cCod As String )
	Dim WSLinkSoap As String = "http://192.168.1.89:8080/soap/IwsNewGES2000"
	Dim cMethodName As String = "DameArticuloVisor"
	Dim cParamCodigo As String = cCod
	Dim cParams As StringBuilder
    
	cParams.Initialize
	cParams.Append($"<?xml version="1.0" encoding="UTF-8" standalone="no"?>"$)
	cParams.Append($"  <soap:Envelope xmlns:soap='http://schemas.xmlsoap.org/soap/envelope/'>"$)
	cParams.Append($"    <soap:Body>"$)
	cParams.Append($"      <${cMethodName}>"$)
	cParams.Append($"        <CODIGO>${cParamCodigo}</CODIGO>"$)
	cParams.Append($"      </${cMethodName}>"$)
	cParams.Append($"    </soap:Body>"$)
	cParams.Append($"  </soap:Envelope>"$)
								
	Dim cResult As String
	Dim j As HttpJob
	Try
		j.Initialize("", Me)
		j.GetRequest.Timeout = 5000
		j.PostString (WSLinkSoap, cParams.ToString)
		'
		j.GetRequest.SetContentType("text/xml")
						
		Wait For (j) JobDone(j As HttpJob)
		If j.Success Then
			cResult = j.GetString
		Else
			cResult = "Sin conexión"
		End If
	Catch
		Log(LastException)
		cResult = "Sin conexión"
	End Try
	j.Release

	Log(cResult)
	ToastMessageShow(cResult,False)
		
End Sub

